[libdefaults]
default_realm = %%ad_realm.upper()
%if %%getVar('ad_server_role') == 'membre'
dns_lookup_realm = true
dns_lookup_kdc = true
%else
dns_lookup_realm = false
dns_lookup_kdc = false

[realms]
%%ad_realm.upper() = {
%if %%mode_conteneur_actif == 'oui'
kdc =%%adresse_ip_domaine_link
%else
kdc = %%adresse_ip_eth0
%end if
%for %%additional_dc in [add_dc for add_dc in %%getVar('ad_additional_dc_ip', []) if add_dc.ad_additional_dc_kdc == 'oui']
kdc = %%additional_dc
%end for
}

[domain_realms]
.%%ad_realm = %%ad_realm.upper()
%%ad_realm = %%ad_realm.upper()
%end if
